Please SRU the pymacaroons stack to Trusty

Bug #1817665 reported by Christian Ehrhardt  on 2019-02-26
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libsodium (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
pymacaroons (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
python-libnacl (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]

 * Python handling of macraroons is not yet available in Trusty.
   From the description:
   Macaroons, like cookies, are a form of bearer credential. Unlike opaque
   tokens, macaroons embed caveats that define specific authorization
   requirements for the target service, the service that issued the root
   macaroon and which is capable of verifying the integrity of macaroons
   it receives.
   Macaroons allow for delegation and attenuation of authorization. They
   are simple and fast to verify, and decouple authorization policy from
   the enforcement of that policy.

 * Modern entitlement handling is important and shall be used in as a
   dependency of ubuntu-advantage-tools will deliver the abilty to
   enable Ubuntu Advantage support entitlement

 * The packages do not exist in Trusty yet, so this is no update, but
   instead will hit xenial new-queue.

 * The developer working on UA Advantage client confirmed that the
   versions in Xenial will be sufficient. Therefore we would want to
   backport the Xenial versions to Trusty which will also make it more
   easy to keep a sane upgrade path.

[Test Case]

 * Use pymacarons e.g. via the quick start entry in the upstram project
   https://github.com/ecordell/pymacaroons#quickstart
   Comment #3 has a test script attached to ease that.

 * Since all of this is for the new UA-Tools to work on Trusty we can also
   ask Chad Smith to run tests with UA-Tools there.

[Regression Potential]

 * Things might not work as expected, but an actual regression is near
   impossible since the packages are NEW to trusty. The one potential
   regression that comes to mind is that programs could have had made
   "try ... from pymacaron import API, letsgo; except: fallback".
   This would then no more use the fallback code, but given that there was
   no dependency to it back in Trusty this is very unlikely.
   Even today the following searches are not too crowded:
   https://codesearch.debian.net/search?q=import+pymacaroons
   https://codesearch.debian.net/search?q=from+pymacaroons
   And reverse depends show only snapcraft on top of that in Ubuntu
   TL;DR a theoretical risk exists, but I really thinks it is not real to
    bite us.

[Other Info]

 * There is also a MIR going on to promote those packages to main in
   Xenial / Trusty. See bug 1746772 bug 1621386 and bug 1817327

 * There is a PPA that ensures buildability and can be used for further
   pre-checks if needed It is at
   https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3668

 * @SRU Team - it is important to accept those into proposed in the
   right order as they are also build dependencies of each other.
   That would be (and obviously each time waiting until it is
   built and published in proposed):
   libsodium -> python-libnacl -> pymacaroons

This is in Xenial and later, so fixed release there.
Added a bug Task for Trusty and changed my repositories to refer to this new bug number.

Changed in pymacaroons (Ubuntu):
status: New → In Progress
Changed in python-libnacl (Ubuntu):
status: New → In Progress
Changed in libsodium (Ubuntu):
status: New → In Progress
status: In Progress → Fix Released
Changed in libsodium (Ubuntu Trusty):
status: New → In Progress
Changed in pymacaroons (Ubuntu):
status: In Progress → Fix Released
Changed in pymacaroons (Ubuntu Trusty):
status: New → In Progress
Changed in python-libnacl (Ubuntu):
status: In Progress → Fix Released
Changed in python-libnacl (Ubuntu Trusty):
status: New → In Progress

I was testing upstreams quick start example with the packages we have pre-tested in the PPA
=> https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3668

Installing them is fine:
root@t:~# apt install python3-pymacaroons
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libsodium18 python3-libnacl python3-six
The following NEW packages will be installed:
  libsodium18 python3-libnacl python3-pymacaroons python3-six
0 upgraded, 4 newly installed, 0 to remove and 13 not upgraded.
Need to get 174 kB of archives.
After this operation, 692 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main python3-six all 1.5.2-1ubuntu1.1 [8438 B]
Get:2 http://ppa.launchpad.net/ci-train-ppa-service/3668/ubuntu/ trusty/main libsodium18 amd64 1.0.8-5~ubuntu14.04.1 [145 kB]
Get:3 http://ppa.launchpad.net/ci-train-ppa-service/3668/ubuntu/ trusty/main python3-libnacl all 1.4.5-0ubuntu1~ubuntu14.04.1 [9662 B]
Get:4 http://ppa.launchpad.net/ci-train-ppa-service/3668/ubuntu/ trusty/main python3-pymacaroons all 0.9.2-0ubuntu1~ubuntu14.04.1 [10.1 kB]
Fetched 174 kB in 0s (606 kB/s)
Selecting previously unselected package libsodium18:amd64.
(Reading database ... 25108 files and directories currently installed.)
Preparing to unpack .../libsodium18_1.0.8-5~ubuntu14.04.1_amd64.deb ...
Unpacking libsodium18:amd64 (1.0.8-5~ubuntu14.04.1) ...
Selecting previously unselected package python3-libnacl.
Preparing to unpack .../python3-libnacl_1.4.5-0ubuntu1~ubuntu14.04.1_all.deb ...
Unpacking python3-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) ...
Selecting previously unselected package python3-six.
Preparing to unpack .../python3-six_1.5.2-1ubuntu1.1_all.deb ...
Unpacking python3-six (1.5.2-1ubuntu1.1) ...
Selecting previously unselected package python3-pymacaroons.
Preparing to unpack .../python3-pymacaroons_0.9.2-0ubuntu1~ubuntu14.04.1_all.deb ...
Unpacking python3-pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.1) ...
Setting up libsodium18:amd64 (1.0.8-5~ubuntu14.04.1) ...
Setting up python3-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) ...
Setting up python3-six (1.5.2-1ubuntu1.1) ...
Setting up python3-pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.14) ...

Then running the test against that...
root@t:~# python3 create.py
location cool-picture-service.example.com
identifier key-for-bob
cid picture_id = bobs_cool_cat.jpg
signature 83d8fa280b09938d3cffe045634f544ffaf712ff2c51ac34828ae8a42b277f8f
MDAyZWxvY2F0aW9uIGNvb2wtcGljdHVyZS1zZXJ2aWNlLmV4YW1wbGUuY29tCjAwMWJpZGVudGlmaWVyIGtleS1mb3ItYm9iCjAwMjdjaWQgcGljdHVyZV9pZCA9IGJvYnNfY29vbF9jYXQuanBnCjAwMmZzaWduYXR1cmUgg9j6KAsJk408_-BFY09UT_r3Ev8sUaw0goropCsnf48K
Sucessfully verified

Working fine, I attached the test script used with this comment ...

description: updated

Since it is important I added this to the descrtiption AND as comment:

@SRU Team - it is important to accept those into proposed in the
right order as they are also build dependencies of each other.
That would be (and obviously each time waiting until it is
built and published in proposed):
   libsodium -> python-libnacl -> pymacaroons

description: updated
description: updated
Robie Basak (racb) wrote :

Tentative +1 for these no-op backports of new packages to Trusty wearing my SRU hat, assuming they all work as expected, pending the ua-advantage-tools SRU readiness. I suggest landing these at the same time as the ubuntu-advantage-tools backport for which they're being backported. This way if there are any problems we won't be faced with a more difficult regression potential to negotiate for any necessary fixes, which will no longer be "new" packages with their somewhat easier SRU process.

I've reviewed the three packages currently in Trusty NEW as follows:

libsodium: unmodified backport from Xenial. Changelog version looks correct and tracking bug reference present. New package so no diff of debian/ present or necessary.

python-libnacl: unmodified backport from Xenial. Changelog version looks correct and tracking bug reference present. New package so no diff of debian/ present or necessary.

pymacaroons: unmodified backport from Xenial (xenial-updates; xenial-proposed has a future version but according to the bug is pending deletion). Changelog version looks correct and tracking bug reference present. New package so no diff of debian/ present or necessary.

Hello Christian, or anyone else affected,

Accepted python-libnacl into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-libnacl/1.4.5-0ubuntu1~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in python-libnacl (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in libsodium (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-trusty
Steve Langasek (vorlon) wrote :

Hello Christian, or anyone else affected,

Accepted pymacaroons into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pymacaroons/0.9.2-0ubuntu1~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pymacaroons (Ubuntu Trusty):
status: In Progress → Fix Committed

Thanks Steve for accepting those already.
That said it is s stack of three packages and I only see the latter two which are now build-dep on libsodium.

I have double checked my uploads which are all of the same time:
Feb 26 08:15 libsodium_1.0.8-5~ubuntu14.04.1_source.ubuntu.upload
Feb 26 08:16 pymacaroons_0.9.2-0ubuntu1~ubuntu14.04.1_source.ubuntu.upload
Feb 26 08:16 python-libnacl_1.4.5-0ubuntu1~ubuntu14.04.1_source.ubuntu.upload

But OTOH I didn't find them in -NEW or any other queue, so I wondered if it got rejected but my inbox did put it in spam or so?
But I have all three of them around the same time and all on NEW queue:

Message-ID (not sure if anything is better than that) of the libsodium getting into NEW is:
<email address hidden>

But as I said it is just missing from all queues that I might see.
We'd need that accepted to then re-build of those already accepted (as it has ordering requirements for the build-deps).

I'll start a hunt for where this was lost and if nothing is to be found re-upload as-is ...

I found it, it was accepted as well (thanks) and can be seen at:
  https://launchpad.net/ubuntu/+source/libsodium/1.0.8-5~ubuntu14.04.1

Interestingly it misses an update to the bug here about it and it FTBFS in -proposed which it didn't in the PPA [1] that I attached as proof.

I'll take a look for the FTBFS issues now ...

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3668/+packages

There were some oddities like:
- builds failing to initialize (not related to the upload, restart fixed it)
- the expected build dependencies which required builds to be ordered
- the produced architecture:all binaries hitting NEW queue again (pymacaroon and libnacl)

I was working with APW to get those resolved and now all appeared in -proposed.
@apw - thanks

Now all is really in -proposed and ready to be tested.
I'll do so now ...

Pre -proposed this just fails right away (as no packages are in trusty at all)

python3 ./create.py
Traceback (most recent call last):
  File "./create.py", line 1, in <module>
    from pymacaroons import Macaroon, Verifier
ImportError: No module named 'pymacaroons'

Installing the new packages in trusty
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libsodium18 python3-libnacl
The following NEW packages will be installed:
  libsodium18 python3-libnacl python3-pymacaroons
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 165 kB of archives.
After this operation, 628 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-proposed/universe libsodium18 amd64 1.0.8-5~ubuntu14.04.1 [145 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty-proposed/universe python3-libnacl all 1.4.5-0ubuntu1~ubuntu14.04.1 [9650 B]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty-proposed/universe python3-pymacaroons all 0.9.2-0ubuntu1~ubuntu14.04.1 [10.1 kB]
Fetched 165 kB in 0s (1023 kB/s)
Selecting previously unselected package libsodium18:amd64.
(Reading database ... 25069 files and directories currently installed.)
Preparing to unpack .../libsodium18_1.0.8-5~ubuntu14.04.1_amd64.deb ...
Unpacking libsodium18:amd64 (1.0.8-5~ubuntu14.04.1) ...
Selecting previously unselected package python3-libnacl.
Preparing to unpack .../python3-libnacl_1.4.5-0ubuntu1~ubuntu14.04.1_all.deb ...
Unpacking python3-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) ...
Selecting previously unselected package python3-pymacaroons.
Preparing to unpack .../python3-pymacaroons_0.9.2-0ubuntu1~ubuntu14.04.1_all.deb ...
Unpacking python3-pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.1) ...
Setting up libsodium18:amd64 (1.0.8-5~ubuntu14.04.1) ...
Setting up python3-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) ...
Setting up python3-pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.14) ...

Using the test I attached to the bug:
python3 ./create.py
location cool-picture-service.example.com
identifier key-for-bob
cid picture_id = bobs_cool_cat.jpg
signature 83d8fa280b09938d3cffe045634f544ffaf712ff2c51ac34828ae8a42b277f8f
MDAyZWxvY2F0aW9uIGNvb2wtcGljdHVyZS1zZXJ2aWNlLmV4YW1wbGUuY29tCjAwMWJpZGVudGlmaWVyIGtleS1mb3ItYm9iCjAwMjdjaWQgcGljdHVyZV9pZCA9IGJvYnNfY29vbF9jYXQuanBnCjAwMmZzaWduYXR1cmUgg9j6KAsJk408_-BFY09UT_r3Ev8sUaw0goropCsnf48K
Sucessfully verified

This uses the full pymacaroons stack and works just fine.
Therefore setting verification done.

tags: added: verification-done-trusty
removed: verification-needed-trusty

I held back the non release specific verification-done intentionally.
That allows us - if we find anything while preparing Ubuntu Advantage Tools - to reroll things in Trusty as needed.

Promotion in X/T can then happen at the same time it is released with Ubuntu-advantage-tools doing the change that triggers the component mismatch.

Chris Halse Rogers (raof) wrote :

Just checking my understanding of the status of this - these look ready to promote to trusty-updates, but we're *not* going to release them to -updates until ubuntu-advantage-tools is built and ready to release to trusty-updates, too.

Hi Chris,
yes your understanding reflects the current state of this.

Łukasz Zemczak (sil2100) wrote :

I think we'd better switch the pymacaroons task as Incomplete then, it's the SRU team's way to mark SRU bugs as 'not ready for release'. Please switch to Fix Committed once there's a green light for this to go out.

Changed in pymacaroons (Ubuntu Trusty):
status: Fix Committed → Incomplete
Andreas Hasenack (ahasenack) wrote :

I found this issue when trying the tool with the packages from proposed: https://github.com/CanonicalLtd/ubuntu-advantage-client/issues/243

tl;dr
19:32 $ ua
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pkg_resources.py", line 444, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources.py", line 725, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources.py", line 632, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (libnacl 1.4.5 (/usr/lib/python3/dist-packages), Requirement.parse('libnacl>=1.3.6,<1.4'))

python3-pymacaroons is asking for libnacl < 1.4 in its setup.py. That was later resolved in https://github.com/ecordell/pymacaroons/issues/21 by relaxing that to "< 1.5".

The code works just fine, but the /usr/bin/ua entrypoint generated by the ubuntu-advantage package's setup.py checks for this.

FYI the issues around that will be tackled in bug 1822780 before this is released into Trusty proposed.

Andreas Hasenack (ahasenack) wrote :

Uploaded 0.9.2-0ubuntu1~ubuntu14.04.2 which fixes the issue from comment #15

Robie Basak (racb) wrote :

Hello Christian, or anyone else affected,

Accepted pymacaroons into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pymacaroons/0.9.2-0ubuntu1~ubuntu14.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pymacaroons (Ubuntu Trusty):
status: Incomplete → Fix Committed
tags: added: verification-needed-trusty
removed: verification-done-trusty

The verification for this was already done and still is fine.
This is just reworked for bug 1822780 to cover more issues we have found.

I'll reset this to done on trusty.
The real check for the new issues we covered will be in bug 1822780
I'll set the bug from "Fix Committed" to "Incomplete" to hold it back from SRU-release until UA tests are fully complete.

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Changed in pymacaroons (Ubuntu Trusty):
status: Fix Committed → Incomplete
Changed in python-libnacl (Ubuntu Trusty):
status: Fix Committed → Incomplete
Changed in libsodium (Ubuntu Trusty):
status: Fix Committed → Incomplete
Brian Murray (brian-murray) wrote :

The other bug tasks have been set to Incomplete so that the individual package doesn't show up as releasable on the SRU report.

Andreas Hasenack (ahasenack) wrote :

trusty verification

I have these packages from trusty-proposed: libsodium18 python3-libnacl python3-pymacaroons
root@trusty-sru-1822780:~# apt-cache policy libsodium18 python3-libnacl python3-pymacaroons
libsodium18:
  Installed: 1.0.8-5~ubuntu14.04.1
  Candidate: 1.0.8-5~ubuntu14.04.1
  Version table:
 *** 1.0.8-5~ubuntu14.04.1 0
        500 http://br.archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
python3-libnacl:
  Installed: 1.4.5-0ubuntu1~ubuntu14.04.1
  Candidate: 1.4.5-0ubuntu1~ubuntu14.04.1
  Version table:
 *** 1.4.5-0ubuntu1~ubuntu14.04.1 0
        500 http://br.archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
python3-pymacaroons:
  Installed: 0.9.2-0ubuntu1~ubuntu14.04.2
  Candidate: 0.9.2-0ubuntu1~ubuntu14.04.2
  Version table:
 *** 0.9.2-0ubuntu1~ubuntu14.04.2 0
        500 http://br.archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status

I then installed a devel version of ubuntu-advantage, and was able to successfully attach to a subscription:
root@trusty-sru-1822780:~# ua attach
Email: <email address hidden>
Password:
Second-factor auth: xxxxxx
This machine is now attached to '<email address hidden>'.

Account: <email address hidden>
Subscription: <email address hidden>
Valid until: 0001-01-01
Technical support level: not included

cc entitled n/a
cis-audit none inactive
esm entitled inactive
fips entitled n/a
fips-updates none n/a
livepatch entitled n/a

Enable entitlements with `ua enable <service>`

# l /var/lib/ubuntu-advantage/private/root-macaroon.json
-rw------- 1 root root 959 Apr 16 21:18 /var/lib/ubuntu-advantage/private/root-macaroon.json

This used macaroons, and wouldn't have worked without that package.

Finally, test scripts from the quickstart (https://github.com/ecordell/pymacaroons#quickstart) mentioned in the sru template:

root@trusty-sru-1822780:~# python3 ./macaroon-quickstart.py
location cool-picture-service.example.com
identifier key-for-bob
cid picture_id = bobs_cool_cat.jpg
signature 83d8fa280b09938d3cffe045634f544ffaf712ff2c51ac34828ae8a42b277f8f
MDAyZWxvY2F0aW9uIGNvb2wtcGljdHVyZS1zZXJ2aWNlLmV4YW1wbGUuY29tCjAwMWJpZGVudGlmaWVyIGtleS1mb3ItYm9iCjAwMjdjaWQgcGljdHVyZV9pZCA9IGJvYnNfY29vbF9jYXQuanBnCjAwMmZzaWduYXR1cmUgg9j6KAsJk408_-BFY09UT_r3Ev8sUaw0goropCsnf48K

Trusty verification succeeded

Changed in libsodium (Ubuntu Trusty):
status: Incomplete → Fix Committed
Changed in pymacaroons (Ubuntu Trusty):
status: Incomplete → Fix Committed
Changed in python-libnacl (Ubuntu Trusty):
status: Incomplete → Fix Committed
Chris Halse Rogers (raof) wrote :

As we still don't have an ubuntu-advantage-tools package ready to use these, and it is still my understanding that we don't want to release these until there's an ubuntu-advantage-tools SRU using them, I'm re-marking these as Incomplete to move them off the SRU team report until they *are* ready to release.

These are still verification-done, so as soon as an SRU of ubuntu-advantage-tools using this is ready to go we can release them all.

If my understanding is faulty, please reset to ‘fix committed’ and add a comment making it clear what the next step is expected to be. Thanks!

Changed in libsodium (Ubuntu Trusty):
status: Fix Committed → Incomplete
Changed in pymacaroons (Ubuntu Trusty):
status: Fix Committed → Incomplete
Changed in python-libnacl (Ubuntu Trusty):
status: Fix Committed → Incomplete
Steve Langasek (vorlon) wrote :

If the packages have been confirmed to pass the tests for the UA client, then despite the UA client itself not yet being ready for release, I don't see that as a reason to hold up the release of these SRUs. I will go ahead and release them now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pymacaroons - 0.9.2-0ubuntu1~ubuntu14.04.2

---------------
pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.2) trusty; urgency=medium

  * fix dependencies when SRUing pymacaroons stack to trusty.
    There are a bunch of dependencies that need to be cleaned up to
    work in trusty without requiring more packages backported.
    (LP: #1822780)
    - drop python2 binary packages
      + d/control: drop python2 related build depends
      + d/control: drop python2 related packages
      + d/control: drop python2 related X-Python flag
      + d/rules: drop python2 from the call to dh
    - d/p/fix-trusty-dependencies-libnacl.patch: fix dependency issue with
      python-libnacl
    - d/p/fix-trusty-dependencies-six.patch: fix dependency issue with
      python-six

pymacaroons (0.9.2-0ubuntu1~ubuntu14.04.1) trusty; urgency=medium

  * Backport to Trusty as dependency of coming UA tools update (LP: #1817665)

 -- Christian Ehrhardt <email address hidden> Tue, 02 Apr 2019 15:08:06 +0200

Changed in pymacaroons (Ubuntu Trusty):
status: Incomplete → Fix Released

The verification of the Stable Release Update for pymacaroons has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-libnacl - 1.4.5-0ubuntu1~ubuntu14.04.1

---------------
python-libnacl (1.4.5-0ubuntu1~ubuntu14.04.1) trusty; urgency=medium

  * Backport to Trusty as dependency of coming UA tools update (LP: #1817665)

 -- Christian Ehrhardt <email address hidden> Mon, 25 Feb 2019 17:01:35 +0100

Changed in python-libnacl (Ubuntu Trusty):
status: Incomplete → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libsodium - 1.0.8-5~ubuntu14.04.1

---------------
libsodium (1.0.8-5~ubuntu14.04.1) trusty; urgency=medium

  * Backport to Trusty as dependency of coming UA tools update (LP: #1817665)

 -- Christian Ehrhardt <email address hidden> Mon, 25 Feb 2019 17:01:43 +0100

Changed in libsodium (Ubuntu Trusty):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.